Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface ASNotationDeclaration

All Superinterfaces:
  ASObject

public interface ASNotationDeclaration
extends ASObject

This interface represents a notation declaration.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

Fields inherited from interface org.apache.xerces.dom3.as.ASObject
`AS_ATTRIBUTE_DECLARATION, AS_CONTENTMODEL, AS_ELEMENT_DECLARATION, AS_ENTITY_DECLARATION, AS_MODEL, AS_NOTATION_DECLARATION`

Method Summary
`java.lang.String` | `getPublicId()` The string representing the public identifier for this notation declaration, if present; `null` otherwise.
`java.lang.String` | `getSystemId()` the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.
`void` | `setPublicId(java.lang.String publicId)` The string representing the public identifier for this notation declaration, if present; `null` otherwise.
`void` | `setSystemId(java.lang.String systemId)` the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

Methods inherited from interface org.apache.xerces.dom3.as.ASObject
`cloneASObject, getAsNodeType, getLocalName, getNamespaceURI, getNodeName, getOwnerASModel, getPrefix, setLocalName, setNamespaceURI, setNodeName, setOwnerASModel, setPrefix`

Method Detail

### getSystemId

    public java.lang.String getSystemId()

  the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### setSystemId

    public void setSystemId(java.lang.String systemId)

  the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### getPublicId

    public java.lang.String getPublicId()

  The string representing the public identifier for this notation declaration, if present; `null` otherwise.

### setPublicId

    public void setPublicId(java.lang.String publicId)

  The string representing the public identifier for this notation declaration, if present; `null` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.